Bug 1596387 - Missing Dependencies of borgmatic (ruamel.yaml<=0.15 and pykwalify>=1.6.0)
Summary: Missing Dependencies of borgmatic (ruamel.yaml<=0.15 and pykwalify>=1.6.0)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: borgmatic
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Felix Kaechele
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1592160 1755559
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-28 19:20 UTC by Eduardo Garcia
Modified: 2019-10-26 17:24 UTC (History)
12 users (show)

Fixed In Version: borgmatic-1.3.23-1.fc30 borgmatic-1.3.23-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-19 17:41:23 UTC


Attachments (Terms of Use)
borgbackup 1.2.1 spec (6.38 KB, text/x-matlab)
2019-03-09 23:51 UTC, Leonid Podolny
no flags Details
Bump borgmatic to upstream 1.2.1 (1.76 KB, patch)
2019-06-09 22:47 UTC, Jb
no flags Details | Diff

Description Eduardo Garcia 2018-06-28 19:20:32 UTC
Description of problem:

Missing Dependencies: python3-ruamel-yaml, python3-pykwalify

When running generate-borgmatic-config or borgmatic, you get an error saying missing distributions ('ruamel.yaml<=0.15' and 'pykwalify>=1.6.0')

The first is solved installing python3-ruamel-yaml, but the second looks like pykwalify available on the repos (python3-pykwalify) is not new enough and causes:

pkg_resources.ContextualVersionConflict: (pykwalify 1.5.1 (/usr/lib/python3.6/site-packages), Requirement.parse('pykwalify>=1.6.0'), {'borgmatic'})


Version-Release number of selected component (if applicable):

1.1.15-2.fc28

How reproducible:

Always

Steps to Reproduce:
1.
2.
3.

Actual results:

Error when run.

Expected results:


Additional info:

Comment 1 Benjamin Pereto 2018-06-29 12:40:35 UTC
you are right, there are missing dependencies.
ruamel.yaml is available, but pykwalify not...

there must be first packaged pykwalify.

Comment 2 Mike Goodwin 2018-12-11 20:37:05 UTC
https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-dcca303252

It was never pushed to stable...

Nor is it up-to-date. Maintainer dropped the ball and hasn't updated for 2 years.

Comment 3 Mike Goodwin 2018-12-11 20:48:14 UTC
Sent an email to the maintainer asking for it to be maintained/updated or to give commit access (i'm willing to take it on)

Comment 4 Mike Goodwin 2018-12-11 21:01:48 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1658365

Initiated unresponsive maintainer ticket that will eventually be used in a FESCo ticket as evidence of unresponsiveness

Should be a little over two weeks and we can get this going (per https://docs.fedoraproject.org/en-US/fesco/Policy_for_nonresponsive_package_maintainers/)

(ps: sorry for the email spam)

Comment 5 david08741 2019-02-01 06:24:19 UTC
borgmatic is also missing dependencies in F29 (borgmatic-1.2.0-2.fc29.x86_64)

Comment 6 Leonid Podolny 2019-03-09 23:48:38 UTC
borgmatic is unusable in F29 right now, because the installed python3-ruamel-yaml is 0.15.41-2.fc29.

Repackaging borgmatic to 1.2.1 trivially solves this, I'm attaching a spec file.

Comment 7 Leonid Podolny 2019-03-09 23:51:16 UTC
Created attachment 1542414 [details]
borgbackup 1.2.1 spec

Comment 8 Ben Cotton 2019-05-02 19:48:00 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2019-05-28 19:23:22 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 10 Mike Goodwin 2019-06-07 15:37:51 UTC
Re-opening because this issue is still very much present in 29/30

I can pick this up if someone gives me commiter access to borgmatic as well

We need to keep the borgmatic package up to date so that it doesn't break with the newer version of python3-ruamel-yaml

Comment 11 Jb 2019-06-09 22:45:28 UTC
(In reply to Mike Goodwin from comment #10)
> Re-opening because this issue is still very much present in 29/30
Yes! I commented about it on a related bug[1], and was ready to try out a patch bumping package to 1.2.1 to hopefully fix this, but Fedora's systems are a bit arcane to me.

Will try to attach my WIP patch here, and will back off from the other ticket.
Otherwise nevermind me, I'm excited to help!


[1]: https://bugzilla.redhat.com/show_bug.cgi?id=1655324#c3

Comment 12 Jb 2019-06-09 22:47:35 UTC
Created attachment 1578870 [details]
Bump borgmatic to upstream 1.2.1

UNTESTED patch, moving to 1.2.1 to fix the ruamel-yaml dep.
Untested since I'm new to Fedora. Hope this helps

Comment 13 Felix Kaechele 2019-07-20 03:16:44 UTC
I've started building my own version in the meantime based on what is in Fedora currently.

I found quite a few problems with the SPEC file that make me wonder how this even passed review.

You can find my COPR here: https://copr.fedorainfracloud.org/coprs/heffer/borgmatic/

Comment 14 Ben Cotton 2019-08-13 17:02:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 15 Ben Cotton 2019-08-13 18:59:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 16 Leonid Podolny 2019-09-25 13:51:03 UTC
This very much happens in Fedora 30 too.

Comment 17 Fedora Update System 2019-10-11 04:45:46 UTC
FEDORA-2019-4ae6216132 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4ae6216132

Comment 18 Fedora Update System 2019-10-11 16:53:47 UTC
borgmatic-1.3.23-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4ae6216132

Comment 19 Fedora Update System 2019-10-12 02:02:21 UTC
borgmatic-1.3.23-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-41ef7578d3

Comment 20 Fedora Update System 2019-10-19 17:41:23 UTC
borgmatic-1.3.23-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2019-10-26 17:24:52 UTC
borgmatic-1.3.23-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.